# BAGO

[![PyPI Downloads](https://img.shields.io/pypi/dm/bago.svg?label=PyPI%20downloads)](
https://pypi.org/project/bago/)


BAGO is a Python package for Bayesian Optimization of Liquid Chromatographic Elution Gradient.

- **Documentation:** https://bago.readthedocs.io/en/latest/
- **Source code:** https://github.com/Waddlessss/bago
- **Bug reports:** https://github.com/Waddlessss/bago/issues

BAGO enables:

Highly efficient gradient optimization
    Find an optimal gradient for your LC-MS/MS analysis within 10 runs.
    Wonder why BAGO is efficient? Read more about [acquisition functions](https://bago.readthedocs.io/en/latest/acq-func.html).

Omics-scale evaluation on compound separation
    Separation efficiency was defined to evaluate the performance of a gradient.
    Wonder how omics-scale evaluation is achieved? Read more about [encodings](https://bago.readthedocs.io/en/latest/encodings.html).

Broader discovery of chemical space
    Expand your discovery of chemical space by improving identification and quantification.
    Wonder how BAGO can help you? Read more about [applications](https://bago.readthedocs.io/en/latest/applications.html).

## Please cite BAGO
